:root {
    --font: white;

    --accent: #bf616a;
    --accent-alt: #d08770;

    --root-border-radius: 15px;
}

* {

    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

body {
    margin: 0;
}

#header {
    display: flex;
    justify-content: center;

    background-color: var(--accent);

    font-size: 2rem;
    padding: 10px;
}

#header > span {
    cursor: pointer;
    color: var(--font);
}

#page {
    display: flex;
    flex-wrap: wrap;
    
    padding: 30px;

    justify-content: space-around;
}

input[type=checkbox] {
    margin-right: 7px;
}

/* #region card */

.card {
    cursor: pointer;

    height: 12em;
    width: 30em;

    margin: 10px;

    display: flex;
    justify-content: stretch;

    border-radius: var(--root-border-radius);
}

.cardLeft > img {
    width: 12em;
    height: 12em;

    object-fit: cover;

    border-radius: var(--root-border-radius) 0 0 var(--root-border-radius);
}

.cardRight {
    padding: 10px;

    color: var(--font);

    border-radius: 0 var(--root-border-radius) var(--root-border-radius) 0;

    background-color: var(--accent);
}

.cardtitle {
    font-weight: bold;
    margin-bottom: 5px;
}

/* #endregion */


/* #region recipePopup */

.recipeHeader {
    height: 20em;

    margin: 20px;

    display: flex;
}

.recipeLeft > img {
    width: 120%;
    height: 100%;

    object-fit: cover;

    border-radius: var(--root-border-radius) 0 0 var(--root-border-radius);
}

.recipeRight {
    width: 100%;
    padding: 10px;

    color: var(--font);


    border-radius: 0 var(--root-border-radius) var(--root-border-radius) 0;

    background-color: var(--accent-alt);
}

#recipeTitle {
    font-size: 1.2em;
    font-weight: bold;
    
    margin-bottom: 5px;
}

.recipeBottom {
    display: flex;

    justify-content: center;

    margin: 10px 50px;
}

.recipeBottom > div {
    width: 50%;
}

@media (max-width: 640px) {
    .recipeBottom {
        flex-wrap: wrap;
    }
    .recipeBottom > div {
        width: 100%;
    }
}

/* #endregion */